From 63d6c83a91eac9dad924fcd6febe719767ae56ec Mon Sep 17 00:00:00 2001
From: Paul Fenwick <pjf@perltraining.com.au>
Date: Tue, 25 Nov 2008 12:46:47 +1100
Subject: [PATCH] Updated reexp to extract version from basic Module::Install.

---
 dh-make-perl |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/dh-make-perl b/dh-make-perl
index b481df5..dc0dfdb 100755
--- a/dh-make-perl
+++ b/dh-make-perl
@@ -660,10 +660,19 @@ sub extract_name_ver_from_makefile {
         $vfrom = $4;
 
     }
-    elsif ( $file =~ /version\((\S+)\)/s ) {
+    elsif ( 
+        $file =~ m{
+            \bversion\b\s*                  # The word version
+            \(?\s*                          # Optional open-parens
+            (['"]?)                         # Optional quotes
+            ([\d_.]+)                       # The actual version.
+            \1                              # Optional close-quotes
+            \s*\)?                          # Optional close-parens.
+        }sx 
+    ) {
 
         # Module::Install
-        $ver = $1;
+        $ver = $2;
     }
 
     $dir = dirname($makefile) || './';
-- 
1.5.5.GIT

